export declare const Validator: {
    custom: <Rules = any, AttributeValue = any, Extension = any, Aggregate = {
        [key: string]: any;
    }>(validator: {
        validate: (value: AttributeValue, rules: Rules, aggregate: Aggregate, ext: Extension, descriptions: import("corevalidationjs").IValidateDescription[]) => string | boolean;
        message?: ((name: string, rules: Rules, validateResult: string | boolean) => string) | undefined;
    }) => import("corevalidationjs").IValidator<Rules, AttributeValue, Extension, Aggregate>;
    merge: (validators: {
        [name: string]: import("corevalidationjs").IValidator<any, any, any, {
            [key: string]: any;
        }>;
    }, ...extValidators: {
        [name: string]: import("corevalidationjs").IValidator<any, any, any, {
            [key: string]: any;
        }>;
    }[]) => {
        [name: string]: import("corevalidationjs").IValidator<any, any, any, {
            [key: string]: any;
        }>;
    };
    rulesOf: <Rules_1>(validator: import("corevalidationjs").IValidator<Rules_1, any, any, {
        [key: string]: any;
    }>) => (options: import("corevalidationjs").IValidatorOptions<Rules_1>) => import("corevalidationjs").IValidatorOptions<Rules_1>;
};
