"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.merge = void 0;
const merge = (validators, ...extValidators) => extValidators.reduce((merged, each) => {
    merged = Object.keys(each).reduce((result, key) => {
        result[key] = each[key];
        return result;
    }, merged);
    return merged;
}, { ...validators });
exports.merge = merge;
//# sourceMappingURL=merge.js.map